/**
 * 
 */
package org.springblade.modules.system.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

/**
 * @author wookvn
 *
 */
@Getter
public enum NotifyType {

	email(0, "邮件"),

	qywechat(1, "企业微信"),

	dingtalk(2, "钉钉"),

	feishu(3, "飞书"),

	watermark(100,"水印配置"),

	baiduAI(4,"百度人脸识别"),

	systemSetting(5,"系统设置"),

	upgradeEnv(6,".env文件名称"),

	upgradeModel(7,"项目升级模块名称"),

	wechatLogin(8,"微信登录"),

	microAppLogin(9,"小程序登录"),

	tianxiangyun(10,"天象云");

	@EnumValue
	private final int value;
	private final String message;
	/**
	 * @param value
	 * @param message
	 */
	private NotifyType(int value, String message) {
		this.value = value;
		this.message = message;
	}
	
	public String getName() {
		return this.name();
	}
}
